"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowDiagramConfiguration = void 0;
/********************************************************************************
 * Copyright (c) 2019-2021 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
require("sprotty-theia/css/theia-sprotty.css");
const lib_1 = require("@eclipse-glsp-examples/workflow-glsp/lib");
const theia_integration_1 = require("@eclipse-glsp/theia-integration");
const inversify_1 = require("@theia/core/shared/inversify");
const workflow_language_1 = require("../../common/workflow-language");
const workflow_diagram_server_1 = require("./workflow-diagram-server");
let WorkflowDiagramConfiguration = class WorkflowDiagramConfiguration extends theia_integration_1.GLSPDiagramConfiguration {
    constructor() {
        super(...arguments);
        this.diagramType = workflow_language_1.WorkflowLanguage.diagramType;
    }
    doCreateContainer(widgetId) {
        const container = (0, lib_1.createWorkflowDiagramContainer)(widgetId);
        (0, theia_integration_1.configureDiagramServer)(container, workflow_diagram_server_1.WorkflowDiagramServer);
        return container;
    }
};
WorkflowDiagramConfiguration = __decorate([
    (0, inversify_1.injectable)()
], WorkflowDiagramConfiguration);
exports.WorkflowDiagramConfiguration = WorkflowDiagramConfiguration;
//# sourceMappingURL=workflow-diagram-configuration.js.map