"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowDiagramReadonlyViewContribution = exports.OPEN_READONLY_DIAGRAM_VIEW = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const client_1 = require("@eclipse-glsp/client");
const core_1 = require("@theia/core");
const browser_1 = require("@theia/core/lib/browser");
const uri_command_handler_1 = require("@theia/core/lib/common/uri-command-handler");
const inversify_1 = require("@theia/core/shared/inversify");
const navigator_contribution_1 = require("@theia/navigator/lib/browser/navigator-contribution");
exports.OPEN_READONLY_DIAGRAM_VIEW = {
    id: 'workflow.open.readonly',
    label: 'Open in Workflow Diagram Readonly View',
    category: '2_additional',
    iconClass: (0, client_1.codiconCSSString)('type-hierarchy-sub')
};
let WorkflowDiagramReadonlyViewContribution = class WorkflowDiagramReadonlyViewContribution {
    registerMenus(registry) {
        registry.registerMenuAction(navigator_contribution_1.NavigatorContextMenu.OPEN_WITH, {
            commandId: exports.OPEN_READONLY_DIAGRAM_VIEW.id,
            label: 'Workflow Diagram Readonly View',
            icon: exports.OPEN_READONLY_DIAGRAM_VIEW.iconClass
        });
    }
    registerCommands(registry) {
        registry.registerCommand(exports.OPEN_READONLY_DIAGRAM_VIEW, uri_command_handler_1.UriAwareCommandHandler.MonoSelect(this.selectionService, {
            execute: async (uri) => {
                const openerOptions = { editMode: client_1.EditMode.READONLY };
                const opener = await this.openerService.getOpener(uri, openerOptions);
                await opener.open(uri, openerOptions);
            },
            isVisible: uri => uri.toString().endsWith('.wf'),
            isEnabled: uri => uri.toString().endsWith('.wf')
        }));
    }
};
__decorate([
    (0, inversify_1.inject)(browser_1.OpenerService),
    __metadata("design:type", Object)
], WorkflowDiagramReadonlyViewContribution.prototype, "openerService", void 0);
__decorate([
    (0, inversify_1.inject)(core_1.SelectionService),
    __metadata("design:type", core_1.SelectionService)
], WorkflowDiagramReadonlyViewContribution.prototype, "selectionService", void 0);
WorkflowDiagramReadonlyViewContribution = __decorate([
    (0, inversify_1.injectable)()
], WorkflowDiagramReadonlyViewContribution);
exports.WorkflowDiagramReadonlyViewContribution = WorkflowDiagramReadonlyViewContribution;
//# sourceMappingURL=workflow-diagram-readonly-view.js.map