"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var WorkflowDiagramKeybindingContext_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowKeybindingContribution = exports.WorkflowDiagramKeybindingContext = void 0;
/********************************************************************************
 * Copyright (c) 2020-2021 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const theia_integration_1 = require("@eclipse-glsp/theia-integration");
const browser_1 = require("@theia/core/lib/browser");
const inversify_1 = require("@theia/core/shared/inversify");
const workflow_language_1 = require("../../common/workflow-language");
const workflow_navigation_context_menu_1 = require("./workflow-navigation-context-menu");
let WorkflowDiagramKeybindingContext = WorkflowDiagramKeybindingContext_1 = class WorkflowDiagramKeybindingContext {
    constructor() {
        this.id = WorkflowDiagramKeybindingContext_1.ID;
    }
    isEnabled() {
        return this.shell.activeWidget instanceof theia_integration_1.GLSPDiagramWidget && this.shell.activeWidget.diagramType === workflow_language_1.WorkflowLanguage.diagramType;
    }
};
WorkflowDiagramKeybindingContext.ID = 'workflow-diagram-keybinding-context';
__decorate([
    (0, inversify_1.inject)(browser_1.ApplicationShell),
    __metadata("design:type", browser_1.ApplicationShell)
], WorkflowDiagramKeybindingContext.prototype, "shell", void 0);
WorkflowDiagramKeybindingContext = WorkflowDiagramKeybindingContext_1 = __decorate([
    (0, inversify_1.injectable)()
], WorkflowDiagramKeybindingContext);
exports.WorkflowDiagramKeybindingContext = WorkflowDiagramKeybindingContext;
let WorkflowKeybindingContribution = class WorkflowKeybindingContribution {
    registerKeybindings(registry) {
        registry.registerKeybinding({
            command: workflow_navigation_context_menu_1.WorkflowNavigationCommands.NEXT_NODE,
            context: WorkflowDiagramKeybindingContext.ID,
            keybinding: 'ctrl-4',
            when: 'glspEditorHasSelectionOfType == task:automated || glspEditorHasSelectionOfType == task:manual'
        });
        registry.registerKeybinding({
            command: workflow_navigation_context_menu_1.WorkflowNavigationCommands.PREVIOUS_NODE,
            context: WorkflowDiagramKeybindingContext.ID,
            keybinding: 'ctrl-3',
            when: 'glspEditorHasSelectionOfType == task:automated || glspEditorHasSelectionOfType == task:manual'
        });
    }
};
WorkflowKeybindingContribution = __decorate([
    (0, inversify_1.injectable)()
], WorkflowKeybindingContribution);
exports.WorkflowKeybindingContribution = WorkflowKeybindingContribution;
//# sourceMappingURL=workflow-keybinding-contribution.js.map