"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var WorkflowNavigationMenuContribution_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowNavigationMenuContribution = exports.WorkflowNavigationCommandContribution = exports.WorkflowNavigationCommands = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const model_1 = require("@eclipse-glsp-examples/workflow-glsp/lib/model");
const client_1 = require("@eclipse-glsp/client");
const theia_integration_1 = require("@eclipse-glsp/theia-integration");
const browser_1 = require("@theia/core/lib/browser");
const inversify_1 = require("@theia/core/shared/inversify");
var WorkflowNavigationCommands;
(function (WorkflowNavigationCommands) {
    WorkflowNavigationCommands.NEXT_NODE = 'glsp-workflow-next-node';
    WorkflowNavigationCommands.PREVIOUS_NODE = 'glsp-workflow-previous-node';
    WorkflowNavigationCommands.DOCUMENTATION = 'glsp-workflow-documentation';
})(WorkflowNavigationCommands = exports.WorkflowNavigationCommands || (exports.WorkflowNavigationCommands = {}));
let WorkflowNavigationCommandContribution = class WorkflowNavigationCommandContribution {
    registerCommands(commands) {
        commands.registerCommand({ id: WorkflowNavigationCommands.NEXT_NODE, label: 'Go to Next Node' }, new theia_integration_1.GLSPCommandHandler(this.shell, {
            actions: () => [client_1.NavigateAction.create('next')],
            isEnabled: context => context.selectedElements.filter(model_1.isTaskNode).length === 1
        }));
        commands.registerCommand({ id: WorkflowNavigationCommands.PREVIOUS_NODE, label: 'Go to Previous Node' }, new theia_integration_1.GLSPCommandHandler(this.shell, {
            actions: () => [client_1.NavigateAction.create('previous')],
            isEnabled: context => context.selectedElements.filter(model_1.isTaskNode).length === 1
        }));
        commands.registerCommand({ id: WorkflowNavigationCommands.DOCUMENTATION, label: 'Go to Documentation' }, new theia_integration_1.GLSPCommandHandler(this.shell, {
            actions: () => [client_1.NavigateAction.create('documentation')],
            isEnabled: context => context.selectedElements.filter(model_1.isTaskNode).length === 1
        }));
    }
};
__decorate([
    (0, inversify_1.inject)(browser_1.ApplicationShell),
    __metadata("design:type", browser_1.ApplicationShell)
], WorkflowNavigationCommandContribution.prototype, "shell", void 0);
WorkflowNavigationCommandContribution = __decorate([
    (0, inversify_1.injectable)()
], WorkflowNavigationCommandContribution);
exports.WorkflowNavigationCommandContribution = WorkflowNavigationCommandContribution;
let WorkflowNavigationMenuContribution = WorkflowNavigationMenuContribution_1 = class WorkflowNavigationMenuContribution {
    registerMenus(menus) {
        menus.registerMenuAction(WorkflowNavigationMenuContribution_1.NAVIGATION.concat('n'), {
            commandId: WorkflowNavigationCommands.NEXT_NODE,
            label: 'Next node'
        });
        menus.registerMenuAction(WorkflowNavigationMenuContribution_1.NAVIGATION.concat('n'), {
            commandId: WorkflowNavigationCommands.PREVIOUS_NODE,
            label: 'Previous node'
        });
        menus.registerMenuAction(WorkflowNavigationMenuContribution_1.NAVIGATION.concat('z'), {
            commandId: WorkflowNavigationCommands.DOCUMENTATION,
            label: 'Documentation'
        });
    }
};
WorkflowNavigationMenuContribution.NAVIGATION = theia_integration_1.GLSPContextMenu.MENU_PATH.concat('navigate');
WorkflowNavigationMenuContribution = WorkflowNavigationMenuContribution_1 = __decorate([
    (0, inversify_1.injectable)()
], WorkflowNavigationMenuContribution);
exports.WorkflowNavigationMenuContribution = WorkflowNavigationMenuContribution;
//# sourceMappingURL=workflow-navigation-context-menu.js.map