"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var WorkflowTaskEditMenuContribution_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowTaskEditMenuContribution = exports.WorkflowTaskEditCommandContribution = exports.WorkflowTaskEditingCommands = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const direct_task_editor_1 = require("@eclipse-glsp-examples/workflow-glsp/lib/direct-task-editing/direct-task-editor");
const model_1 = require("@eclipse-glsp-examples/workflow-glsp/lib/model");
const client_1 = require("@eclipse-glsp/client");
const theia_integration_1 = require("@eclipse-glsp/theia-integration");
const browser_1 = require("@theia/core/lib/browser");
const inversify_1 = require("@theia/core/shared/inversify");
var WorkflowTaskEditingCommands;
(function (WorkflowTaskEditingCommands) {
    WorkflowTaskEditingCommands.EDIT_TASK = 'glsp-workflow-edit-task';
})(WorkflowTaskEditingCommands = exports.WorkflowTaskEditingCommands || (exports.WorkflowTaskEditingCommands = {}));
let WorkflowTaskEditCommandContribution = class WorkflowTaskEditCommandContribution {
    registerCommands(commands) {
        commands.registerCommand({ id: WorkflowTaskEditingCommands.EDIT_TASK, label: 'Direct Edit Task' }, new theia_integration_1.GLSPCommandHandler(this.shell, {
            actions: context => [
                client_1.SetUIExtensionVisibilityAction.create({
                    extensionId: direct_task_editor_1.TaskEditor.ID,
                    visible: true,
                    contextElementsId: [context.selectedElements[0].id]
                })
            ],
            isEnabled: context => !context.isReadonly && context.selectedElements.filter(model_1.isTaskNode).length === 1
        }));
    }
};
__decorate([
    (0, inversify_1.inject)(browser_1.ApplicationShell),
    __metadata("design:type", browser_1.ApplicationShell)
], WorkflowTaskEditCommandContribution.prototype, "shell", void 0);
WorkflowTaskEditCommandContribution = __decorate([
    (0, inversify_1.injectable)()
], WorkflowTaskEditCommandContribution);
exports.WorkflowTaskEditCommandContribution = WorkflowTaskEditCommandContribution;
let WorkflowTaskEditMenuContribution = WorkflowTaskEditMenuContribution_1 = class WorkflowTaskEditMenuContribution {
    registerMenus(menus) {
        menus.registerMenuAction(WorkflowTaskEditMenuContribution_1.EDIT, { commandId: WorkflowTaskEditingCommands.EDIT_TASK });
    }
};
WorkflowTaskEditMenuContribution.EDIT = theia_integration_1.GLSPContextMenu.MENU_PATH.concat('edit');
WorkflowTaskEditMenuContribution = WorkflowTaskEditMenuContribution_1 = __decorate([
    (0, inversify_1.injectable)()
], WorkflowTaskEditMenuContribution);
exports.WorkflowTaskEditMenuContribution = WorkflowTaskEditMenuContribution;
//# sourceMappingURL=workflow-task-editing-context-menu.js.map